Open CASCADE Technology  6.9.1
Static Public Member Functions
DsgPrs_RadiusPresentation Class Reference

A framework to define display of radii. More...

#include <DsgPrs_RadiusPresentation.hxx>

Static Public Member Functions

static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint, const gp_Circ &aCircle, const Standard_Real firstparam, const Standard_Real lastparam, const Standard_Boolean drawFromCenter=Standard_True, const Standard_Boolean reverseArrow=Standard_False)
 Adds the point AttachmentPoint, the circle aCircle, the text aText, and the parameters firstparam and lastparam to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. If the Boolean drawFromCenter is false, the arrowhead will point towards the center of aCircle. If the Boolean reverseArrow is true, the arrowhead will point away from the attachment point. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint, const gp_Circ &aCircle, const Standard_Real firstparam, const Standard_Real lastparam, const DsgPrs_ArrowSide ArrowSide, const Standard_Boolean drawFromCenter=Standard_True, const Standard_Boolean reverseArrow=Standard_False)
 Adds the point AttachmentPoint, the circle aCircle, the text aText, and the parameters firstparam and lastparam to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. The value of the enumeration Arrowside determines the type of arrow displayed: whether there will be arrowheads at both ends or only one, for example. If the Boolean drawFromCenter is false, the arrowhead will point towards the center of aCircle. If the Boolean reverseArrow is true, the arrowhead will point away from the attachment point. More...
 
static void Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint, const gp_Pnt &Center, const gp_Pnt &EndOfArrow, const DsgPrs_ArrowSide ArrowSide, const Standard_Boolean drawFromCenter=Standard_True, const Standard_Boolean reverseArrow=Standard_False)
 Adds the circle aCircle, the text aText, the points AttachmentPoint, Center and EndOfArrow to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. The value of the enumeration Arrowside determines the type of arrow displayed: whether there will be arrowheads at both ends or only one, for example. If the Boolean drawFromCenter is false, the arrowhead will point towards the center of aCircle. If the Boolean reverseArrow is true, the arrowhead will point away from the attachment point. More...
 

Detailed Description

A framework to define display of radii.

Member Function Documentation

static void DsgPrs_RadiusPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt AttachmentPoint,
const gp_Circ aCircle,
const Standard_Real  firstparam,
const Standard_Real  lastparam,
const Standard_Boolean  drawFromCenter = Standard_True,
const Standard_Boolean  reverseArrow = Standard_False 
)
static

Adds the point AttachmentPoint, the circle aCircle, the text aText, and the parameters firstparam and lastparam to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. If the Boolean drawFromCenter is false, the arrowhead will point towards the center of aCircle. If the Boolean reverseArrow is true, the arrowhead will point away from the attachment point.

static void DsgPrs_RadiusPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt AttachmentPoint,
const gp_Circ aCircle,
const Standard_Real  firstparam,
const Standard_Real  lastparam,
const DsgPrs_ArrowSide  ArrowSide,
const Standard_Boolean  drawFromCenter = Standard_True,
const Standard_Boolean  reverseArrow = Standard_False 
)
static

Adds the point AttachmentPoint, the circle aCircle, the text aText, and the parameters firstparam and lastparam to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. The value of the enumeration Arrowside determines the type of arrow displayed: whether there will be arrowheads at both ends or only one, for example. If the Boolean drawFromCenter is false, the arrowhead will point towards the center of aCircle. If the Boolean reverseArrow is true, the arrowhead will point away from the attachment point.

static void DsgPrs_RadiusPresentation::Add ( const Handle< Prs3d_Presentation > &  aPresentation,
const Handle< Prs3d_Drawer > &  aDrawer,
const TCollection_ExtendedString aText,
const gp_Pnt AttachmentPoint,
const gp_Pnt Center,
const gp_Pnt EndOfArrow,
const DsgPrs_ArrowSide  ArrowSide,
const Standard_Boolean  drawFromCenter = Standard_True,
const Standard_Boolean  reverseArrow = Standard_False 
)
static

Adds the circle aCircle, the text aText, the points AttachmentPoint, Center and EndOfArrow to the presentation object aPresentation. The display attributes of these elements is defined by the attribute manager aDrawer. The value of the enumeration Arrowside determines the type of arrow displayed: whether there will be arrowheads at both ends or only one, for example. If the Boolean drawFromCenter is false, the arrowhead will point towards the center of aCircle. If the Boolean reverseArrow is true, the arrowhead will point away from the attachment point.


The documentation for this class was generated from the following file: